# Updating an existing Rate Card Set Version

A Rate Card Set Version can only be modified when the effective date is in the future, or when it is not yet
published.


This endpoint returns structured Rate Card Set Version objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the rate_card_set_versions top-level JSON key.
Please see our Response Format section for more information.

Endpoint: PUT /rate_card_set_versions/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- rate_card_set (RateCardSet) - The Rate Card Set this version belongs to.
- rate_card_versions (RateCardVersion) - The Rate Card Version of each Rate Card defined on the Rate Card Set.

## Request fields (application/json):

  - `rate_card_set_version` (object)

  - `rate_card_set_version.effective_date` (string)
    The date from the which the current Rate Card Set Version takes effect. The date must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `rate_card_set_versions` (object)

  - `rate_card_sets` (object)

  - `rate_card_versions` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


